Skip to main content
GET
/
v1
/
reports
/
{report_id}
Get report
curl --request GET \
  --url https://api-sandbox.y.uno/v1/reports/{report_id} \
  --header 'account-code: <api-key>' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
  "status": "COMPLETED",
  "date_range": {
    "from": "2026-02-01T00:00:00.000Z",
    "to": "2026-02-28T23:59:59.999Z"
  },
  "download_url": "https://reports.y.uno/download/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
  "created_at": "2026-03-01T12:00:00.000Z"
}
This request enables you to retrieve details of a report based on their id, which needs to be provided in the request path.

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

account-code
string
header
required

Your account identifier. The alias X-Account-Code is also accepted.

Path Parameters

report_id
string<uuid>
required

The unique identifier of the report

Response

Report details

id
string<uuid>
Example:

"a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"

status
enum<string>

Report generation status

Available options:
PROCESSING,
COMPLETED,
FAILED
Example:

"PROCESSING"

date_range
object
download_url
string<uri>

URL to download the completed report

Example:

"https://reports.y.uno/download/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"

created_at
string<date-time>
Example:

"2026-03-01T12:00:00.000Z"